<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('directors', function (Blueprint $table) {
            $table->id();
            $table->string('english_name');
            $table->string('chinese_name')->nullable();
            $table->string('alias')->nullable();
            $table->string('previous_name')->nullable();
            $table->string('hkid_or_ci_number')->nullable();
            $table->string('passport_number')->nullable();
            $table->string('passport_issuing_country')->nullable();
            $table->text('residential_address')->nullable();
            $table->text('other_directorships')->nullable();
            $table->text('remarks')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('directors');
    }
};